Loading...
Searching...
No Matches
CTraceDrawingObject Class Referenceabstract

Interface for objects that can draw wheel trace (at the moment, all movable objects). More...

`#include <src/object/interface/trace_drawing_object.h>`

Inheritance diagram for CTraceDrawingObject:
[legend]

## Public Member Functions

| CTraceDrawingObject (ObjectInterfaceTypes &types)
virtual void | SetTraceDown (bool down)=0
| Put the drawing pencil down.
virtual bool | GetTraceDown ()=0
| Is the pencil down?
virtual void | SetTraceColor (TraceColor color)=0
| Set color of the trace.
virtual TraceColor | GetTraceColor ()=0
| Return color of the trace.
virtual void | SetTraceWidth (float width)=0
| Set trace width.
virtual float | GetTraceWidth ()=0
| Return trace width.

## Detailed Description

Interface for objects that can draw wheel trace (at the moment, all movable objects).

## Member Function Documentation

## SetTraceDown()

virtual void CTraceDrawingObject::SetTraceDown | ( | bool | down | ) |

pure virtual

Put the drawing pencil down.

Implemented in COldObject.

## GetTraceDown()

virtual bool CTraceDrawingObject::GetTraceDown | ( |  | ) |

pure virtual

Is the pencil down?

Implemented in COldObject.

## SetTraceColor()

virtual void CTraceDrawingObject::SetTraceColor | ( | TraceColor | color | ) |

pure virtual

Set color of the trace.

Implemented in COldObject.

## GetTraceColor()

virtual TraceColor CTraceDrawingObject::GetTraceColor | ( |  | ) |

pure virtual

Return color of the trace.

Implemented in COldObject.

## SetTraceWidth()

virtual void CTraceDrawingObject::SetTraceWidth | ( | float | width | ) |

pure virtual

Set trace width.

Implemented in COldObject.

## GetTraceWidth()

virtual float CTraceDrawingObject::GetTraceWidth | ( |  | ) |

pure virtual

Return trace width.

Implemented in COldObject.

The documentation for this class was generated from the following file:

- src/object/interface/trace_drawing_object.h